Package com.rosivanyshyn.db.dao.constant

# Enum Class AccountRole

java.lang.Object
java.lang.Enum<AccountRole>
com.rosivanyshyn.db.dao.constant.AccountRole

All Implemented Interfaces:
  `Serializable`, `Comparable<AccountRole>`, `Constable`

public enum AccountRole extends Enum<AccountRole>
Account role enum.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MANAGER`
  `UNKNOWN`
  `USER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccountRole`
  `get(String input)`
  Get enum value from string
  `String`
  `getRole()`
  `static AccountRole`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AccountRole[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### USER

    public static final AccountRole USER

  - ### MANAGER

    public static final AccountRole MANAGER

  - ### UNKNOWN

    public static final AccountRole UNKNOWN

- ## Method Details

  - ### values

    public static AccountRole[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AccountRole valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getRole

    public String getRole()

  - ### get

    public static AccountRole get(String input)
    Get enum value from string
    Parameters:
      `input` - role name in string format
    Returns:
      role name in enum format